import * as $dara from '@darabonba/typescript';
export declare class DescribeStorageSetsResponseBodyStorageSetsStorageSetTagsTag extends $dara.Model {
    key?: string;
    value?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeStorageSetsResponseBodyStorageSetsStorageSetTags extends $dara.Model {
    tag?: DescribeStorageSetsResponseBodyStorageSetsStorageSetTagsTag[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeStorageSetsResponseBodyStorageSetsStorageSet extends $dara.Model {
    /**
     * @remarks
     * The time when the storage set was created.
     *
     * @example
     * 2019-06-01T00:00:00Z
     */
    creationTime?: string;
    /**
     * @remarks
     * The description of the storage set.
     *
     * @example
     * testDescription
     */
    description?: string;
    /**
     * @remarks
     * The ID of the region to which the storage set belongs.
     *
     * @example
     * cn-hangzhou
     */
    regionId?: string;
    resourceGroupId?: string;
    /**
     * @remarks
     * The ID of the storage set.
     *
     * @example
     * ss-bp1d6tsvznfghy7y****
     */
    storageSetId?: string;
    /**
     * @remarks
     * The name of the storage set.
     *
     * @example
     * testStorageSetName
     */
    storageSetName?: string;
    /**
     * @remarks
     * The maximum number of partitions supported by the storage set.
     *
     * @example
     * 3
     */
    storageSetPartitionNumber?: number;
    tags?: DescribeStorageSetsResponseBodyStorageSetsStorageSetTags;
    /**
     * @remarks
     * The ID of the zone to which the storage set belongs.
     *
     * @example
     * cn-hangzhou-g
     */
    zoneId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeStorageSetsResponseBodyStorageSets extends $dara.Model {
    storageSet?: DescribeStorageSetsResponseBodyStorageSetsStorageSet[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeStorageSetsResponseBody extends $dara.Model {
    /**
     * @remarks
     * The page number of the returned page.
     *
     * @example
     * 1
     */
    pageNumber?: number;
    /**
     * @remarks
     * The number of entries returned per page.
     *
     * @example
     * 1
     */
    pageSize?: number;
    /**
     * @remarks
     * The ID of the request.
     *
     * @example
     * 473469C7-AA6F-4DC5-B3DB-A3DC0DE3C83E
     */
    requestId?: string;
    /**
     * @remarks
     * Details about the storage sets. The value of this parameter is an array that consists of StorageSet data.
     */
    storageSets?: DescribeStorageSetsResponseBodyStorageSets;
    /**
     * @remarks
     * The total number of storage sets.
     *
     * @example
     * 20
     */
    totalCount?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
